Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1878531 - marshalparser fails on s390x
Summary: marshalparser fails on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: marshalparser
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lumír Balhar
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2020-09-13 20:30 UTC by Miro Hrončok
Modified: 2020-09-25 16:59 UTC (History)
3 users (show)

Fixed In Version: marshalparser-0.2.1-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-25 16:59:13 UTC
Type: Bug


Attachments (Terms of Use)
build.log from Koji (922.94 KB, text/plain)
2020-09-13 20:30 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2020-09-13 20:30:14 UTC
Created attachment 1714695 [details]
build.log from Koji

Description of problem:
Package marshalparser fails to build from source on s390x. I suspect any big endidan.

Version-Release number of selected component:
0.2.0-1.fc33

Steps to Reproduce:
fedpkg build --scratch --arches s390x

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/marshalparser

Traceback (most recent call last):
  File "/usr/lib64/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib64/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/builddir/build/BUILD/marshalparser-0.2.0/marshalparser/__main__.py", line 3, in <module>
    main()
  File "/builddir/build/BUILD/marshalparser-0.2.0/marshalparser/marshalparser.py", line 373, in main
    parser.parse()
  File "/builddir/build/BUILD/marshalparser-0.2.0/marshalparser/marshalparser.py", line 57, in parse
    self.read_object()
  File "/builddir/build/BUILD/marshalparser-0.2.0/marshalparser/marshalparser.py", line 150, in read_object
    result.append(self.read_object())
  File "/builddir/build/BUILD/marshalparser-0.2.0/marshalparser/marshalparser.py", line 96, in read_object
    i, b = next(self.iterator)
StopIteration

Full build.log attached.

Comment 1 Petr Viktorin 2020-09-14 07:00:21 UTC
byteorder should always be 'little', not system-dependent

Comment 3 Fedora Update System 2020-09-16 11:59:31 UTC
FEDORA-2020-bd566a98a5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-bd566a98a5

Comment 4 Fedora Update System 2020-09-16 18:58:03 UTC
FEDORA-2020-bd566a98a5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-bd566a98a5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bd566a98a5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-09-25 16:59:13 UTC
FEDORA-2020-bd566a98a5 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.